<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListUserGroupReq StructType
 * @subpackage Structs
 */
class ListUserGroupReq extends AbstractStructBase
{
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup
     */
    public $returnedTags;
    /**
     * The searchCriteria
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria
     */
    public $searchCriteria;
    /**
     * The skip
     * Meta information extracted from the WSDL
     * - documentation: It will be used only when first tag is specified.
     * - minOccurs: 0
     * @var int
     */
    public $skip;
    /**
     * The first
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $first;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for ListUserGroupReq
     * @uses ListUserGroupReq::setReturnedTags()
     * @uses ListUserGroupReq::setSearchCriteria()
     * @uses ListUserGroupReq::setSkip()
     * @uses ListUserGroupReq::setFirst()
     * @uses ListUserGroupReq::setSequence()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup $returnedTags
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria $searchCriteria
     * @param int $skip
     * @param int $first
     * @param int $sequence
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup $returnedTags = null, \\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria $searchCriteria = null, $skip = null, $first = null, $sequence = null)
    {
        $this
            ->setReturnedTags($returnedTags)
            ->setSearchCriteria($searchCriteria)
            ->setSkip($skip)
            ->setFirst($first)
            ->setSequence($sequence);
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListUserGroupReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\LUserGroup $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get searchCriteria value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria|null
     */
    public function getSearchCriteria()
    {
        return $this->searchCriteria;
    }
    /**
     * Set searchCriteria value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria $searchCriteria
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListUserGroupReq
     */
    public function setSearchCriteria(\\Losc\CucmBundle\Model\Webservice\StructType\SearchCriteria $searchCriteria = null)
    {
        $this->searchCriteria = $searchCriteria;
        return $this;
    }
    /**
     * Get skip value
     * @return int|null
     */
    public function getSkip()
    {
        return $this->skip;
    }
    /**
     * Set skip value
     * @param int $skip
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListUserGroupReq
     */
    public function setSkip($skip = null)
    {
        $this->skip = $skip;
        return $this;
    }
    /**
     * Get first value
     * @return int|null
     */
    public function getFirst()
    {
        return $this->first;
    }
    /**
     * Set first value
     * @param int $first
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListUserGroupReq
     */
    public function setFirst($first = null)
    {
        $this->first = $first;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListUserGroupReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
